Arbor 3: FSM & BT Graph Editor 3.3.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleField< T > Class Template Reference

参照方法が複数ある柔軟な型を扱うクラス。 使用する場合は、Tにユーザー定義クラスを指定して継承してください。 More...

Inheritance diagram for FlexibleField< T >:

## Public Member Functions
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Properties
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...
Properties inherited from FlexibleFieldBase
abstract System.Type | fieldType`[get]`
| フィールドの型を返す。 More...

## Detailed Description

参照方法が複数ある柔軟な型を扱うクラス。 使用する場合は、Tにユーザー定義クラスを指定して継承してください。

Template Parameters

  T | シリアライズ可能な型

## Constructor & Destructor Documentation

FlexibleField | ( |  | ) |

FlexibleFieldデフォルトコンストラクタ

FlexibleField | ( | T | value | ) |

FlexibleFieldコンストラクタ

Parameters

  value | 値

FlexibleField | ( | AnyParameterReference | parameter | ) |

FlexibleFieldコンストラクタ

Parameters

  parameter | パラメータ

FlexibleField | ( | InputSlotAny | slot | ) |

FlexibleFieldコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

override object GetValueObject | ( |  | ) |
| virtual

値をobjectで返す。

Returns
  値のobject

Implements FlexibleFieldBase.

static operator FlexibleField< T > | ( | T | value | ) |
| explicit static

TをFlexibleFieldにキャスト。

Parameters

  value | T

static operator T | ( | FlexibleField< T > | flexible | ) |
| explicit static

FlexibleFieldをTにキャスト。

Parameters

  flexible | FlexibleField

## Property Documentation

override System.Type fieldType
| get

フィールドの型を返す。

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

T value
| get

値を返す